Name: pmacct
Version: 0.11.3
Release: alt1
License: GPL
Summary: pmacct is a small set of passive network monitoring tools to measure, account, classify, aggregate and export IPv4 and IPv6 traffic
Group: Monitoring
Source: %name-%version.tar.gz
Source1: %name.init
Source2: %name.README.ALT.KOI8-R
Vendor: Paolo Lucente <paolo@pmacct.net>
URL:    http://www.pmacct.net
Packager: Alexey Sidorov <alexsid@altlinux.ru>
BuildRequires: libpcap-devel
Requires: libpcap >= 0.6

%description
pmacct is a small set of passive network monitoring tools to measure, account,
classify, aggregate and export IPv4 and IPv6 traffic; its main features are:
- Runs on Linux, BSDs, Solaris and embedded systems
- Support for both IPv4 and IPv6
- Collects data through libpcap, NetFlow v1/v5/v7/v8/v9 and sFlow v2/v4/v5
- Saves data to a number of backends including memory tables,
  MySQL, PostgreSQL and SQLite
- Exports data to remote collectors through
  NetFlow v5/v9 and sFlow v5 (from 0.11.x)
- Flexible architecture to tag, filter, redirect, aggregate and split captured
  data
- Traffic streams classification. Read more here (from 0.10.x)
- Support for sampling and renormalization
- Pluggable architecture for easy integration of new capturing environments
  and data backends
- Careful SQL support: data pre-processing, triggers, recovery methods,
  dynamic table naming

%prep
%setup -q

%build
%configure
%make

%install
make DESTDIR=%buildroot install
mkdir -p %buildroot%_initdir %buildroot%_sysconfdir/%name
install -pD -m0755 %SOURCE1 %buildroot%_initdir/%name
cp %SOURCE2 %name.README.ALT.KOI8-R
#install -pD -m0644 %SOURCE2 %buildroot%_docdir/%name.README.ALT.KOI8-R
#cp examples/pmacct-imt.conf.example %buildroot%_sysconfdir/%name/pmacct-imt.conf.example

%files
%doc docs examples sql AUTHORS COPYING ChangeLog README TODO NEWS FAQS CONFIG-KEYS INSTALL TOOLS EXAMPLES UPGRADE KNOWN-BUGS %name.README.ALT.KOI8-R
%_bindir/*
%_sbindir/*
#config(noreplace) #_sysconfdir/%name/*
%_initdir/*
%dir %attr(0700,root,root) %_sysconfdir/%name

%changelog
* Fri Feb 09 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.11.3-alt1
- Initial build for sisyphus

